function sPrimary=LoadIR(PrimeFeatDir,Param,start,num)

%loads IR data for train or test

fprintf('Load IR Data from %s\n',PrimeFeatDir)

if findstr(Param.trialname,'TIdigits_')
    [sPrimary]=load_many_TIdigits(PrimeFeatDir);
elseif findstr(Param.trialname,'zifkom_')
    [sPrimary]=load_many_ZIFKOM(PrimeFeatDir);
elseif findstr(Param.trialname,'TIMIT_')
    [sPrimary]=load_many_TIMIT(PrimeFeatDir,Param,start,num);
end

return
%%-----------------------------------------------------------------------------
%%
%%   Copyright (C) 2000-2004   
%%   Medizinische Physik,
%%   Universitaet Oldenburg, Germany
%%   http://www.physik.uni-oldenburg.de/docs/medi
%%
%%   Permission to use, copy, and distribute this software/file and its
%%   documentation for any purpose without permission by UNIVERSITAET OLDENBURG
%%   is not granted.
%%   
%%   Permission to use this software for academic purposes is generally
%%   granted.
%%
%%   Permission to modify the software is granted, but not the right to
%%   distribute the modified code.
%%
%%   This software is provided "as is" without expressed or implied warranty.
%%
%%   Author:    Michael Kleinschmidt
%%   Co-Author: Bernd Meyer 
%%
%%   Please contact Bernd Meyer (bernd.meyer@uni-oldenburg.de) for 
%%   questions regarding this release.
%%-----------------------------------------------------------------------------
