function vLabels = GetLabelVec(sPrimary)

% Function for extracting label vector from a number of examples
% 
% call by:
% vLabels = GetLabelVec(sPrimary)
% 
% sPrimary = array of structures containing
%   - mIR : input feature matrix
%   - vLabel : label vector
%
% Michael Kleinschmidt, ICSI, Nov 2002


if nargin ~= 1
   error('Incorrect number of parameters !')
end

vLabels=[];
for k=1:length(sPrimary)
  vLabels = [vLabels sPrimary(k).vLabels];
end

return











%%-----------------------------------------------------------------------------
%%
%%   Copyright (C) 2000-2004   
%%   Medizinische Physik,
%%   Universitaet Oldenburg, Germany
%%   http://www.physik.uni-oldenburg.de/docs/medi
%%
%%   Permission to use, copy, and distribute this software/file and its
%%   documentation for any purpose without permission by UNIVERSITAET OLDENBURG
%%   is not granted.
%%   
%%   Permission to use this software for academic purposes is generally
%%   granted.
%%
%%   Permission to modify the software is granted, but not the right to
%%   distribute the modified code.
%%
%%   This software is provided "as is" without expressed or implied warranty.
%%
%%   Author:    Michael Kleinschmidt
%%   Co-Author: Bernd Meyer 
%%
%%   Please contact Bernd Meyer (bernd.meyer@uni-oldenburg.de) for 
%%   questions regarding this release.
%%-----------------------------------------------------------------------------
